//
//  FastAccountSwitchingIndicatorView.swift
//  Tusker
//
//  Created by Shadowfacts on 6/6/21.
//  Copyright © 2021 Shadowfacts. All rights reserved.
//

import UIKit

class FastAccountSwitcherIndicatorView: UIView {
    
    override var intrinsicContentSize: CGSize {
        CGSize(width: 10, height: 12)
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        
        tintColor = .lightGray
        
        let up = UIImageView(image: UIImage(systemName: "arrowtriangle.up.fill")!)
        up.frame = CGRect(x: 0, y: 0, width: 10, height: 5)
        addSubview(up)
        let down = UIImageView(image: UIImage(systemName: "arrowtriangle.down.fill")!)
        down.frame = CGRect(x: 0, y: 7, width: 10, height: 5)
        addSubview(down)
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
}
